Loading...
Searching...
No Matches
caf::deep_to_string_t Struct Reference

Wrapper to deep_to_string for using the function as an inspector. More...

`#include <deep_to_string.hpp>`

## Public Types

using | result_type = std::string

## Public Member Functions

template<class... Ts>
result_type | operator() (const Ts &... xs) const

## Static Public Attributes

static constexpr bool | reads_state = true
static constexpr bool | writes_state = false

## Detailed Description

Wrapper to deep_to_string for using the function as an inspector.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/deep_to_string.hpp